program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: soln
call phaml_create(soln,output_unit=11)
call phaml_popen(soln,11,"test07..out")
call phaml_solve_pde(soln,                   &
                     max_vert=500,           &
                     mg_cycles=5,            &
                     print_grid_when=PHASES, &
                     print_grid_who=EVERYONE  ,&
                     print_linsys_when=PHASES, &
                     print_linsys_who=EVERYONE, &
                     print_solver_when=PHASES, &
                     print_solver_who=EVERYONE, &
                     print_header_who=EVERYONE, &
                     print_trailer_who=EVERYONE, &
                     print_error_when=PHASES    , &
                     print_Linf_norm_error=.true., &
                     print_Linf_norm_errest=.true., &
                     print_error_who=EVERYONE)
call phaml_pclose(soln,11)
call phaml_destroy(soln)
end program phaml_master
